/**
 * 公共方法
 */
/************************************************数据请求**********************************************************/

var unit = {
	/**
	 * form表无刷新请求
	 * @param {Object} _url
	 * @param {Object} id
	 * @param {Object} _success
	 * @param {Object} _error
	 */
	_formAjax: function(_url, id, _success, _error) {
		$.ajax({
			url: _url,
			type: "POST",
			dataType: 'json',
			processData: false,
			data: $(id).serialize(),
			success: _success,
			error: _error
		});
	},
	/**
	 * ajax 普通请求 get
	 * @param {Object} _url
	 * @param {Object} _data
	 * @param {Object} _success
	 * @param {Object} _error
	 */
	_getAjax: function(_url, _data, _success, _error) {
		$.ajax({
			url: _url,
			type: "get",
			data: _data,
			dataType: 'json',
			//processData: false,
			success: _success,
			error: _error
		});
	},
	/**
	 * ajax 普通请求 POST
	 * @param {Object} _url
	 * @param {Object} _data
	 * @param {Object} _success
	 * @param {Object} _error
	 */
	_postAjax: function(_url, _data, _success, _error) {
		$.ajax({
			url: _url,
			type: "POST",
			data: _data,
			dataType: 'json',
			success: _success,
			error: _error
		});
	},
	/**
	 * ajax 跨域请求 GET
	 * @param {Object} url
	 * @param {Object} _data
	 * @param {Object} _success
	 * @param {Object} _error
	 */
	_localhostHttpGet: function(url, _data, _success, _error) {
		$.ajax({
			url: url,
			dataType: 'jsonp',
			processData: false,
			data: _data,
			type: 'get',
			success: _success,
			error: _error
		});
	},
	/**
	 * ajax 跨域请求 Post
	 * @param {Object} url
	 * @param {Object} _data
	 * @param {Object} _success
	 * @param {Object} _error
	 */
	_localhostHttpPost: function(url, _data, _success, _error) {
		$.ajax({
			url: url,
			dataType: 'jsonp',
			processData: false,
			data: _data,
			type: 'POST',
			success: _success,
			error: _error
		});
	}
};

/************************************************数据校验**********************************************************/

var validator = {
	/**
	 * 邮箱验证
	 * @param {Object} str
	 */
	IsEmail: function(str) {
		var reg = /^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/;
		return reg.test(str)
	},
	/**
	 * 手机验证
	 * @param {Object} str
	 */
	isPhoneNumber: function(str) {
		var regAee = /^(13\d[1]{0,9}|14\d[1]{0,9}|15\d[1]{0,9}|17\d[1]{0,9}|18\d[1]{0,9})\d{8}$/;
		return regAee.test(str);
	},
	/**
	 * 身份证验证
	 * @param {Object} str
	 */
	isIdCard: function(str) {
		var reg = /^(\d{15}$|^\d{18}$|^\d{17}(\d|X|x))$/;
		return reg.test(str);
	},
	/**
	 * 判断输入的字符是否为中文 
	 * @param {Object} str
	 */
	IsChinese: function(str) {
		if(str.length != 0) {
			var reg = /^[\u0391-\uFFE5]+$/;
			if(!reg.test(str)) {

				return false;
			}
		}
		return true;
	}
}

/************************************************其他方法**********************************************************/

var other = {
	/**
	 * 获取URL后的参数
	 */
	getRequest: function() {
		var url = location.search; //获取url中"?"符后的字串   
		var theRequest = new Object();
		if(url.indexOf("?") != -1) {
			var str = url.substr(1);
			strs = str.split("&");
			for(var i = 0; i < strs.length; i++) {
				theRequest[strs[i].split("=")[0]] = unescape(strs[i].split("=")[1]);
			}
		}
		return theRequest;
	},
	/**
	 * android终端,ios终端
	 */
	secondClick: function() {
		var u = navigator.userAgent;
		var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
		var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
		if(isAndroid) {
			return "android";
		} else {
			return "ios";
		}
	},
	/**
	 * 微信端
	 */
	isWeiXin: function(){ 
		var ua = window.navigator.userAgent.toLowerCase(); 
		if(ua.match(/MicroMessenger/i) == 'micromessenger'){ 
			return true; 
		}else{ 
		return false; 
		} 
	}, 
	/**
	 * 百度统计
	 */
	loadEvt: function() {
		var _hmt = _hmt || [];
		(function() {
		  var hm = document.createElement("script");
		  hm.src = "https://hm.baidu.com/hm.js?932218b9a52dec5353165da9fca4d160";
		  var s = document.getElementsByTagName("script")[0]; 
		  s.parentNode.insertBefore(hm, s);
		})();
	},
	/**
	 * <!-- rem自适应代码 -->
	 */
	resizeEvt: function() {
		(function(doc, win) {
			var docEl = doc.documentElement,
				resizeEvt = 'orientationchange' in window ? 'orientationchange' : 'resize',
				recalc = function() {
					var clientWidth = docEl.clientWidth;
					if(!clientWidth) return;
					docEl.style.fontSize = 16 * (clientWidth / 375) + 'px';
				};

			if(!doc.addEventListener) return;
			win.addEventListener(resizeEvt, recalc, false);
			doc.addEventListener('DOMContentLoaded', recalc, false);
		})(document, window);
	},
	/**
	 * 分享
	 * @param {Object} imgurl
	 * @param {Object} url
	 * @param {Object} title
	 * @param {Object} context
	 */
	shareEvt: function(imgurl,url,title,context) {
		var send = other.secondClick();
		if(send == "android") {
			window.sharePage.shareLink(imgurl,url,title,context);
		} else {
			shareLink({
				"imgurl": imgurl,
				"url": url,
				"title": title,
				"context": context
			}, function(result) {});
		}
	},
	/**
	 * 分享成功增加记录
	 * @param {Object} imgurl
	 * @param {Object} url
	 * @param {Object} title
	 * @param {Object} context
	 */
	shareEvtType: function(imgurl,url,title,context,activityEvtType) {
		var send = other.secondClick();
		if(send == "android") {
			window.sharePage.shareLink(imgurl,url,title,context,activityEvtType);
		} else {
			shareLink({
				"imgurl": imgurl,
				"url": url,
				"title": title,
				"context": context,
				"activityEvtType":activityEvtType
			}, function(result) {});
		}
	},
	/**
	 * 页面跳转
	 * @param {Object} pageType
	 */
	linkPage: function(pageType) {
		var send = other.secondClick();
		if(send == "android") {
			window.shandaiPage.pageLink(pageType);
		} else {
			pageLink({
				"pageType": pageType
			}, function(result) {
				
			});
		}
	},
	/**
	 * 支付页面跳转
	 * @param {Object} pageType
	 */
	bankLink: function(pageType) {
		var send = other.secondClick();
		if(send == "android") {
			window.shandaiPage.payLink(pageType);
		} else {
			payLink({
				"pageType": pageType
			}, function(result) {
				
			});
		}
	},
	errLink: function() {
		var send = other.secondClick();
		if(send == "android") {
			window.shandaiPage.errLink();
		} else {
			errLink({
				"pageType": "0"
			}, function(result) {
				
			});
		}
	}
}

//location.href="pay_errs.html";